Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 410595 - sys-apps/fwts Firmware Test Suite
Summary: sys-apps/fwts Firmware Test Suite
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Default Assignee for New Packages
URL: https://wiki.ubuntu.com/Kernel/Refere...
Whiteboard: [sunrise-overlay]
Keywords: EBUILD, InOverlay
Depends on:
Blocks:
 
Reported: 2012-04-02 19:28 UTC by Manuel Rüger
Modified: 2013-09-11 23:07 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
fwts-0.24.21.ebuild (fwts-0.24.21.ebuild,753 bytes, text/plain)
2012-04-02 19:28 UTC, Manuel Rüger
Details
fwts-0.24.21.ebuild (fwts-0.24.21.ebuild,784 bytes, text/plain)
2012-04-07 15:48 UTC, Manuel Rüger
Details
fwts-0.26.04.ebuild (fwts-0.26.04.ebuild,1.10 KB, text/plain)
2013-02-03 13:58 UTC, Martin Pluskal
Details
fwts-0.26.04.ebuild (updated) (fwts-0.26.04.ebuild,1.20 KB, text/plain)
2013-02-03 16:39 UTC, Martin Pluskal
Details
fwts-missing_headers with 4.6.3 (fwts-missing_headers.diff,333 bytes, application/octet-stream)
2013-02-03 16:40 UTC, Martin Pluskal
Details
fwts-0.26.04.ebuild (fwts-0.26.04.ebuild,1.34 KB, application/octet-stream)
2013-02-04 21:44 UTC, Martin Pluskal
Details
fwts-0.26.05.ebuild (fwts-0.26.05.ebuild,1.25 KB, text/plain)
2013-02-09 20:17 UTC, Martin Pluskal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel Rüger gentoo-dev 2012-04-02 19:28:37 UTC
Created attachment 307533 [details]
fwts-0.24.21.ebuild

Firmware Test Suite

from homepage
"The tool fwts comprises of over fifty tests that are designed to exercise and test different aspects of a machine's firmware."
Comment 1 Manuel Rüger gentoo-dev 2012-04-07 15:21:38 UTC
Comment on attachment 307533 [details]
fwts-0.24.21.ebuild

># Copyright 1999-2012 Gentoo Foundation
># Distributed under the terms of the GNU General Public License v2
># $Header: $
>
>EAPI=4
>
>inherit eutils autotools
>IUSE=""
>DESCRIPTION="Firmware Test Suite"
>HOMEPAGE="https://wiki.ubuntu.com/Kernel/Reference/fwts"
>SRC_URI="https://launchpad.net/ubuntu/+archive/primary/+files/${PN}_${PV}.tar.gz
>-> ${P}.tar.gz"
>
>LICENSE="GPL-2"
>SLOT="0"
>KEYWORDS="~amd64"
>IUSE=""
>
>RDEPEND="sys-apps/pciutils
>	sys-power/iasl
>	sys-power/pmtools
>	sys-apps/dmidecode"
>DEPEND="${RDEPEND}
>	dev-libs/json-c
>	sys-devel/libtool"
>
>src_prepare(){
>	sed -i -e 's/-Wall -Werror/-Wall/' configure.ac {,src/,src/lib/src/}Makefile.am || die
>	sed -i -e 's/\/usr\/bin\/lspci/\/usr\/sbin\/lspci/'	src/lib/include/fwts_binpaths.h || die
>	eautoreconf
>}
Comment 2 Manuel Rüger gentoo-dev 2012-04-07 15:48:55 UTC
Created attachment 308097 [details]
fwts-0.24.21.ebuild
Comment 4 Sasha Medvedev 2012-08-12 14:14:27 UTC
Please, add dev-libs/libpcre dependence. I unable to build ftws without it
Comment 5 Manuel Rüger gentoo-dev 2012-08-12 21:43:23 UTC
Thanks for your report. I added it and it will be available here soon. http://git.overlays.gentoo.org/gitweb/?p=proj/sunrise-reviewed.git;a=tree;f=sys-apps/fwts
Comment 6 Martin Pluskal 2013-02-03 13:58:07 UTC
Created attachment 337796 [details]
fwts-0.26.04.ebuild

Ebuild for new version of fwts (0.26.04):
- Source is now obtained from git (there seem to be some issues with http download).
- Fixed issues with json-c-0.10-r1
Comment 7 Manuel Rüger gentoo-dev 2013-02-03 14:11:20 UTC
(In reply to comment #6)
> Created attachment 337796 [details]
> fwts-0.26.04.ebuild
> 
> Ebuild for new version of fwts (0.26.04):
> - Source is now obtained from git (there seem to be some issues with http
> download).
> - Fixed issues with json-c-0.10-r1

I don't like the usage of git-2 eclass here. At least let EGIT_COMMIT make use of ${PV}.
I had no problems with fetching it from ubuntu-http.

If we want to fetch it directly from git, we should simply use: 

http://kernel.ubuntu.com/git?p=hwe/fwts.git;a=snapshot;h=refs/tags/V0.26.04

P.S. V0.26.04 doesn't build with gcc-4.6.3 You need to add this patch: http://kernel.ubuntu.com/git?p=hwe/fwts.git;a=commitdiff;h=82d0247e8342594419313f6c4577065230c1b504
Comment 8 Martin Pluskal 2013-02-03 16:39:14 UTC
Created attachment 337814 [details]
fwts-0.26.04.ebuild (updated)

Hmm it seems that issues with downloads were just temporary.
Comment 9 Martin Pluskal 2013-02-03 16:40:21 UTC
Created attachment 337820 [details]
fwts-missing_headers with 4.6.3

Patch for building with gcc-4.6.3.
Comment 10 Martin Pluskal 2013-02-04 21:44:29 UTC
Created attachment 337946 [details]
fwts-0.26.04.ebuild

This time with dependency on microcode_data and proper path
Comment 11 Martin Pluskal 2013-02-09 20:17:55 UTC
Created attachment 338434 [details]
fwts-0.26.05.ebuild

New release.
Comment 12 Manuel Rüger gentoo-dev 2013-09-11 23:07:40 UTC
*fwts-13.09.00 (11 Sep 2013)

  11 Sep 2013; Manuel Rüger <mrueg@gentoo.org> +fwts-13.09.00.ebuild,
  +metadata.xml:
  Initial version. Fixes bug #410595.